package java.lang;

public class VMShutdownHookThread extends Thread {
	public VMShutdownHookThread() {
		super(null,					// VMThread (start()呼び出し時に生成される）
		      "shutdownhook",		// スレッド名
		      Thread.NORM_PRIORITY,	// プライオリティ
		      false);				// 非デーモンスレッド
		this.group = ThreadGroup.root;
	}
	
	public void run() {
		System.exit(0);
	}
}
